<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>

<link rel="stylesheet" href="${contextPath}/static/assets/css/jquery-ui.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/datepicker.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/ui.jqgrid.css" />
<!-- 电话咨询订单 -->
<div class="row">
	<div class="col-xs-12">
	
		<div class="dropdown">
					关键字:<input id="keyword" class="input-medium search-query" type="text" /> 
				  订单状态:
				  <!-- Single button -->
				<select id=status>
				    <option selected value="">全部</option>
					<option value="0">初始化</option>
					<option value="1">进行中</option>
					<option value="2">完成订单</option>
					<option value="4">等待支付</option>
					<option value="5">律师拒绝</option>
					<!-- <option value="3" >订单取消</option> -->
				</select>
			<button id="searchd" type="button" class="btn">搜索</button>
			
		<table id="grid-table"></table>
		<div id="grid-pager"></div>
		<script type="text/javascript">
			var $path_base = "${contextPath}/static";//in Ace demo this will be used for editurl parameter
		</script>
		
	<div id="modal-table1" class="modal fade" tabindex="-1" data-backdrop="static">
		<div class="modal-dialog" style="min-width: 820px;">
			<div class="modal-content">
				<div class="modal-header no-padding">
					<div class="table-header">
						<button type="button" class="close" data-dismiss="modal"
							aria-hidden="true">
							<span class="white">&times;</span>
						</button>
						电话咨询订单评论:
					</div>
				</div>
				<div class="modal-body"
					style="max-height: 500px;overflow-y: scroll;">
					<div class="container-fluid">
						<div class="row-fluid">
							<div class="span12">
								<div class="hero-unit">
									<div class="container-fluid">
										<div class="row-fluid">
											<div class="container-fluid"
												style="padding: 0px 0px 20px 0px;">
												<div class="row">
													<div class="col-xs-2">专业能力:</div> <div class="col-xs-2" id="commentValue1"></div>
													<div class="col-xs-2">服务态度:</div> <div class="col-xs-2" id="commentValue2"></div>
													<div class="col-xs-2">响应速度:</div> <div class="col-xs-2" id="commentValue3"></div>
												</div>
												<div class="row">
													<div class="col-xs-2">评价内容:</div> <div class="col-xs-10" id="commentContent"></div>
												</div>
											</div>
										</div>

										<div class="modal-footer no-margin-top">
											<div class="text-center">
												<button id="saveForm" type="submit" class="btn btn-app btn-success btn-xs" data-dismiss="modal">
													<i class="ace-icon fa fa-floppy-o bigger-160"></i> 确定
												</button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
		
<div id="modal-table" class="modal fade" tabindex="-1" data-backdrop="static">
	<div class="modal-dialog" style="min-width: 820px;">
					
		<form id="informationForm">
			<div class="modal-content">
				<div class="modal-header no-padding">
					<div class="table-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
							<span class="white">&times;</span>
						</button>
						电话咨询订单详情:
					</div>
				</div>
				<div class="modal-body" style="max-height: 550px;overflow-y: scroll;">
<div class="container-fluid">
	<div class="row-fluid">
		<div class="span12">
			<div class="hero-unit">
				<h3>
					订单详情:
				</h3>
				<div class="container-fluid">
	<div class="row-fluid">
		<div class="span12">
			<table class="table" id="companyTab">
				<tbody>
					<tr>
						<td>
							订单ID
						</td>
						<td>
						<span id="ordercall_id"></span>
						</td>
					</tr>
					<tr>
						<td>
							拨打次数
						</td>
						<td>
						<span id="totalCallNum"></span>
						</td>
					</tr>
					<tr>
						<td>
							成功通话次数
						</td>
						<td>
						<span id="totalCallSuccessNum"></span>
						</td>
					</tr>
					<tr class="success">
						<td>
							通话总时长:
						</td>
						<td>
						<span id="totalSeconds"></span>
						</td>
					</tr>
					<tr class="error">
						<td>
							通话状态:
						</td>
						<td>
						<span id="callState"></span>
						</td>
					</tr>
					<tr class="warning">
						<td>
							处理意见:
						</td>
						<td>
						<span id="remark"></span>
						</td>
					</tr>
					<tr>
						<td>
							案例类别:
						</td>
						<td>
						<span id="caseType"></span>
						</td>
					</tr>
				</tbody>
			</table>
			<h3>通话记录:</h3>
			<table id="sample-table-1" class="table table-striped table-bordered table-hover">
												<thead>
														<th>主叫方</th>
														<th>拨打时间</th>
														<th>通话时长</th>
														
													</tr>
												</thead>
												<tbody id="tbody">
												</tbody>
											</table>
					<div class="modal-footer no-margin-top">
					<div class="text-center">
					<button id="saveForm" type="submit" class="btn btn-app btn-success btn-xs" data-dismiss="modal">
					<i class="ace-icon fa fa-floppy-o bigger-160"></i>
							确定
						</button>
					</div>
				</div>
		</div>
	</div>
</div>
</div>
</div>
	</div>
</div>	
	</div>
	</form>
	</div><!-- /.modal-dialog -->
</div>








		<!-- PAGE CONTENT ENDS -->
	</div><!-- /.col -->
</div><!-- /.row -->

<!-- page specific plugin scripts -->
<script type="text/javascript">
		var scripts = [ null, "${contextPath}/static/assets/js/date-time/bootstrap-datepicker.js", "${contextPath}/static/assets/js/date-time/locales/bootstrap-datepicker.zh-CN.js","${contextPath}/static/assets/js/jqGrid/jquery.jqGrid.js", "${contextPath}/static/assets/js/jqGrid/i18n/grid.locale-cn.js", null ]
        $('.page-content-area').ace_ajax('loadScripts', scripts, function() {
        	// inline scripts related to this page
        	jQuery(function($) {
        		var grid_selector = "#grid-table";
        		var pager_selector = "#grid-pager";

        		// resize to fit page size
        		$(window).on('resize.jqGrid', function() {
        			$(grid_selector).jqGrid('setGridWidth', $(".page-content").width());
        		})
        		// resize on sidebar collapse/expand
        		var parent_column = $(grid_selector).closest('[class*="col-"]');
        		$(document).on('settings.ace.jqGrid', function(ev, event_name, collapsed) {
        			if (event_name === 'sidebar_collapsed' || event_name === 'main_container_fixed') {
        				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
        				setTimeout(function() {
        					$(grid_selector).jqGrid('setGridWidth', parent_column.width());
        				}, 0);
        			}
        		});
        		$(document).keydown(function(event) {
					var key = window.event ? event.keyCode : event.which;
					if (key == 13) {
						$("#searchd").click();
					}
				});	
			$("#searchd").click(function(){
				var keyword =$("#keyword").val();
				var status =$("#status").val();
		    myGrid.setGridParam({postData:{'keyword':keyword,'orderType':1,'status':status},url : '${contextPath}/sys/order/getHQLOrderBase'}).trigger('reloadGrid');
		   });
        	var myGrid=	jQuery(grid_selector).jqGrid({
        			subGrid : false,
        			url : "${contextPath}/sys/order/getHQLOrderBase?orderType=1",
        			datatype : "json",
        			height : 450,
        			
        			colNames : ['','订单时间', '订单号', '公司','联系人', '律师','状态','评论状态','操作'],
        			colModel : [ {
        				name : '',
        				index : '',
        				width : 80,
        				fixed : true,
        				sortable : false,
        				resize : false,
        				formatter : 'actions',
        				formatoptions : {
        					keys : true,
        					//delbutton : false,//disable delete button
        					delOptions : {
        						recreateForm : true,
        						beforeShowForm : beforeDeleteCallback
        					}
        					//editformbutton:true, editOptions:{recreateForm:true, beforeShowForm:beforeEditCallback}
        				}
        			},{
        				name : "createDate",//1449829970000
        				index : "createDate",
        				label : "订单时间",
        				width : 190,
        				//sorttype : "date",
        				search : false,
        				editable : false
        			}, {
        				name : 'id',
        				index : 'id',
        				width : 120,
        				editable : false
        			}, {
        				name : 'name',
        				index : 'name',
        				width : 160,
        				//editable : true,
        				searchoptions : {sopt : ['like']},
        			}, {
        				name : 'contactName',
        				index :'contactName',
        				width :160,
        				//editable : true,
        			}, {
        				name : 'realName',
        				index :'realName',
        				width :100,
        				//editable : true,
        				search : false,
        			}, {
        				name : 'status',
        				index : 'status',
        				width : 110,
        				editable : true,
        				search : false,
        				edittype:'select',
        				editoptions:{value:'0:初始化;1:进行中;2:完成订单;3:订单取消;4:等待支付;5:律师拒绝'}
        			},{
        				name : 'commentFlag',
        				index : 'commentFlag',
        				width : 110,
        				//editable : true,
        				search : false,
        				edittype : "select",
        				editoptions:{value:"0:未评论;1:已评论"}
        			},{
        				name : "updateDate",
        				index : "updateDate",
        				//	hidden : true,
        				editable : true,
        				search : false
        				,editable:false,viewable:false,formatter:moveButton
        			}],
        			//scroll : 1, // set the scroll property to 1 to enable paging with scrollbar - virtual loading of records
        			sortname : "createDate",
        			sortorder : "desc",
        			viewrecords : true,
        			rowNum : 10,
        			rowList : [ 10, 20, 30 ],
        			pager : pager_selector,
        			altRows : true,
        			//toppager : true,
        			multiselect : true,
        			//multikey : "ctrlKey",
        	        multiboxonly : true,
        			loadComplete : function() {
        				var table = this;
        				setTimeout(function(){
        					styleCheckbox(table);
        					updateActionIcons(table);
        					updatePagerIcons(table);
        					enableTooltips(table);
        				}, 0);
        			},
        			editurl : "${contextPath}/sys/order/operateOrderBase"
        			//caption : "用户管理列表",
        			//autowidth : true,
        			/**
        			grouping : true, 
        			groupingView : { 
        				 groupField : ['name'],
        				 groupDataSorted : true,
        				 plusicon : 'fa fa-chevron-down bigger-110',
        				 minusicon : 'fa fa-chevron-up bigger-110'
        			},
        			*/
        		});
        	//company 
    		function moveButton(cellvalue, options, rowObject){
    			var html = "<input class='movingup'  type='button' name='" + rowObject.id + "' value='详情 ' />&nbsp;&nbsp;&nbsp;&nbsp;";
    			html += "<input class='commentsup' type='button' name='" + rowObject.id + "' value='评论' />";
				return html;
			}
        	//js 模态窗口操作
        	//编辑页面 也就是模态窗口
        		$(grid_selector).delegate("input.movingup","click",function(){
     				//弹出模态窗口
        		$("#modal-table").modal("toggle");
    			var 	myId=$(this).attr('name');
    				//模块窗口 详情信息 同样是json数据
    				 $.get("${contextPath}/sys/order/getOrderPhoneById?ids="+myId+"",function(result){
    					 $.each(jQuery.parseJSON(result), function(i, field){
	  						$("#ordercall_id").text(myId);	
    						$("#"+i+"").text(field);
    						if(i=="callState"){
    							if(field=="1"){//0:非通话中 1：通话进行中
    							$("#callState").text("通话进行中");	
    							}
    							if(field="0"){
    							$("#callState").text("非通话中");
    							}
    						}
    					 });
    			  });
    			//通话记录:
    				var tbody=$("#tbody");
    				tbody.html("");
    				 $.get("${contextPath}/sys/order/getCallRecordById?ids="+myId+"",function(result){
    					 $.each(jQuery.parseJSON(result), function(i, field){
    						 var h = "<tr><td>";
    						 if(field.callDirect==0)
    							 h=h+"企业";
    						 else
    							 h=h+"律师";
    						 h=h+"</td><td>"+field.callTime+"</td><td>"+field.callContent+"</td></tr>";
    						 tbody.append(h);   
    					 });
    			  });
			});
				
        	$(grid_selector).delegate("input.commentsup","click",function(){
        		//弹出模态窗口
        		$("#modal-table1").modal("toggle");
        		var myId=$(this).attr('name');
        		var htmlIds = ["commentValue1","commentValue2","commentValue3","commentContent"];
    			for(var i=0;i<htmlIds.length;i++){
    				$("#" + htmlIds[i]).html("");
    			}
    			$.getJSON("${contextPath}/sys/order/getComments?ids="+myId+"",function(result){
    				if(result.status){
    					var comments = result.comments;
    					if(comments != null && comments.length > 0){
    						var comment = comments[0];
    						var ids = ["value1","value2","value3","content"];
    						for(var i=0;i<htmlIds.length;i++){
    							$("#" + htmlIds[i]).html(formatOrderDetailValue(comment[ids[i]]));
    						}
    					}
    				}
    			});
        	});
        		
        		$(window).triggerHandler('resize.jqGrid');// trigger window resize to make the grid get the correct size
        		// enable search/filter toolbar
        		// jQuery(grid_selector).jqGrid('filterToolbar',{defaultSearch:true,stringResult:true})
        		// jQuery(grid_selector).filterToolbar({});
        		// switch element when editing inline
        		function aceSwitch(cellvalue, options, cell) {
        			setTimeout(function() {
        				$(cell).find('input[type=checkbox]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			}, 0);
        		}
        		// navButtons
        		jQuery(grid_selector).jqGrid('navGrid', pager_selector, { // navbar options
        			edit : <shiro:hasPermission name="${ROLE_KEY}:orderphone:edit">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:orderphone:edit">false</shiro:lacksPermission>,
        			editicon : 'ace-icon fa fa-pencil blue',
        			add : <shiro:hasPermission name="${ROLE_KEY}:orderphone:add">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:orderphone:add">false</shiro:lacksPermission>,
        			addicon : 'ace-icon fa fa-plus-circle purple',
        			del : <shiro:hasPermission name="${ROLE_KEY}:orderphone:delete">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:orderphone:delete">false</shiro:lacksPermission>,
        			delicon : 'ace-icon fa fa-trash-o red',
        			search : <shiro:hasPermission name="${ROLE_KEY}:orderphone:search">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:orderphone:search">false</shiro:lacksPermission>,
        			searchicon : 'ace-icon fa fa-search orange',
        			refresh : true,
        			refreshicon : 'ace-icon fa fa-refresh blue',
        			view : <shiro:hasPermission name="${ROLE_KEY}:orderphone:view">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:orderphone:view">false</shiro:lacksPermission>,
        			viewicon : 'ace-icon fa fa-search-plus grey'
        		}, {
        			// edit record form
        			// closeAfterEdit: true,
        			// width: 700,
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// new record form
        			// width: 700,
        			closeAfterAdd : true,
        			recreateForm : true,
        			viewPagerButtons : false,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// delete record form
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				if (form.data('styled'))
        					return false;
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_delete_form(form);
        				form.data('styled', true);
        			},
        			onClick : function(e) {
        				// alert(1);
        			}
        		}, {
        			// search form
        			recreateForm : true,
        			afterShowSearch : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
        				style_search_form(form);
        			},
        			afterRedraw : function() {
        				style_search_filters($(this));
        			},
        			multipleSearch : true 
	        		/**
	        		 * multipleGroup:true, showQuery: true
	        		 */
        		}, {
        			// view record form
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
        			}
        		})
        		
        		// add custom button to export the data to excel
        		if(<shiro:hasPermission name="${ROLE_KEY}:orderphone:export">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:orderphone:export">false</shiro:lacksPermission>){
    				jQuery(grid_selector).jqGrid('navButtonAdd', pager_selector,{
   					   caption : "",
   				       title : "导出Excel",
   				       buttonicon : "ace-icon fa fa-file-excel-o green", 
   				       onClickButton : function () { 
   				    	   var keys = [], ii = 0, rows = "";
   				    	   var ids = $(grid_selector).getDataIDs(); // Get All IDs
   				    	   var row = $(grid_selector).getRowData(ids[0]); // Get First row to get the labels
   				    	   //var label = $(grid_selector).jqGrid('getGridParam','colNames');
   	   			    	   for (var k in row) {
   				    	   	   keys[ii++] = k; // capture col names
   				    	   	   rows = rows + k + "\t"; // output each Column as tab delimited
   				    	   }
   				    	   rows = rows + "\n"; // Output header with end of line
   				    	   for (i = 0; i < ids.length; i++) {
   				    	   	   row = $(grid_selector).getRowData(ids[i]); // get each row
   				    	   	   for (j = 0; j < keys.length; j++)
   				    	   		   rows = rows + row[keys[j]] + "\t"; // output each Row as tab delimited
   				    	   	   rows = rows + "\n"; // output each row with end of line
   				    	   }
   				    	   rows = rows + "\n"; // end of line at the end	editurl : "${contextPath}/sys/order/operateOrderBase"
   				    	   var form = "<form name='csvexportform' action='${contextPath}/sys/order/operateOrderBase?oper=excel' method='post'>";
   				    	   form = form + "<input type='hidden' name='csvBuffer' value='" + encodeURIComponent(rows) + "'>";
   				    	   form = form + "</form><script>document.csvexportform.submit();</sc" + "ript>";
   				    	   OpenWindow = window.open('', '');
   				    	   OpenWindow.document.write(form);
   				    	   OpenWindow.document.close();
   				       } 
   					});        			
        		}
        		
        		function style_edit_form(form) {
        			// form.find('input[name=statusCn]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			// don't wrap inside a label element, the checkbox value won't be submitted (POST'ed)
        			// .addClass('ace ace-switch ace-switch-5').wrap('<label class="inline" />').after('<span class="lbl"></span>');

        			// update buttons classes
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-primary').prepend('<i class="ace-icon fa fa-check"></i>');
        			buttons.eq(1).prepend('<i class="ace-icon fa fa-times"></i>')

        			buttons = form.next().find('.navButton a');
        			buttons.find('.ui-icon').hide();
        			buttons.eq(0).append('<i class="ace-icon fa fa-chevron-left"></i>');
        			buttons.eq(1).append('<i class="ace-icon fa fa-chevron-right"></i>');
        		}

        		function style_delete_form(form) {
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm btn-white btn-round').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-danger').prepend('<i class="ace-icon fa fa-trash-o"></i>');
        			buttons.eq(1).addClass('btn-default').prepend('<i class="ace-icon fa fa-times"></i>')
        		}

        		function style_search_filters(form) {
        			form.find('.delete-rule').val('X');
        			form.find('.add-rule').addClass('btn btn-xs btn-primary');
        			form.find('.add-group').addClass('btn btn-xs btn-success');
        			form.find('.delete-group').addClass('btn btn-xs btn-danger');
        		}
        		function style_search_form(form) {
        			var dialog = form.closest('.ui-jqdialog');
        			var buttons = dialog.find('.EditTable')
        			buttons.find('.EditButton a[id*="_reset"]').addClass('btn btn-sm btn-info').find('.ui-icon').attr('class', 'ace-icon fa fa-retweet');
        			buttons.find('.EditButton a[id*="_query"]').addClass('btn btn-sm btn-inverse').find('.ui-icon').attr('class', 'ace-icon fa fa-comment-o');
        			buttons.find('.EditButton a[id*="_search"]').addClass('btn btn-sm btn-purple').find('.ui-icon').attr('class', 'ace-icon fa fa-search');
        		}

        		function beforeDeleteCallback(e) {
        			var form = $(e[0]);
        			if (form.data('styled'))
        				return false;
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_delete_form(form);
        			form.data('styled', true);
        		}

        		function beforeEditCallback(e) {
        			var form = $(e[0]);
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_edit_form(form);
        		}

        		// it causes some flicker when reloading or navigating grid
        		// it may be possible to have some custom formatter to do this as the grid is being created to prevent this
        		// or go back to default browser checkbox styles for the grid
        		function styleCheckbox(table) {
        			/**
        			 * $(table).find('input:checkbox').addClass('ace') .wrap('<label />') .after('<span class="lbl align-top" />') $('.ui-jqgrid-labels th[id*="_cb"]:first-child')
        			 * .find('input.cbox[type=checkbox]').addClass('ace') .wrap('<label />').after('<span class="lbl align-top" />');
        			 */
        		}

        		// unlike navButtons icons, action icons in rows seem to be hard-coded
        		// you can change them like this in here if you want
        		function updateActionIcons(table) {
        			/**
        			 * var replacement = { 'ui-ace-icon fa fa-pencil' : 'ace-icon fa fa-pencil blue', 'ui-ace-icon fa fa-trash-o' : 'ace-icon fa fa-trash-o red', 'ui-icon-disk' : 'ace-icon fa fa-check green', 'ui-icon-cancel' :
        			 * 'ace-icon fa fa-times red' }; $(table).find('.ui-pg-div span.ui-icon').each(function(){ var icon = $(this); var $class = $.trim(icon.attr('class').replace('ui-icon', '')); if($class in replacement)
        			 * icon.attr('class', 'ui-icon '+replacement[$class]); })
        			 */
        		}

        		// replace icons with FontAwesome icons like above
        		function updatePagerIcons(table) {
        			var replacement = {
        				'ui-icon-seek-first' : 'ace-icon fa fa-angle-double-left bigger-140',
        				'ui-icon-seek-prev' : 'ace-icon fa fa-angle-left bigger-140',
        				'ui-icon-seek-next' : 'ace-icon fa fa-angle-right bigger-140',
        				'ui-icon-seek-end' : 'ace-icon fa fa-angle-double-right bigger-140'
        			};
        			$('.ui-pg-table:not(.navtable) > tbody > tr > .ui-pg-button > .ui-icon').each(function() {
        				var icon = $(this);
        				var $class = $.trim(icon.attr('class').replace('ui-icon', ''));

        				if ($class in replacement)
        					icon.attr('class', 'ui-icon ' + replacement[$class]);
        			})
        		}

        		function enableTooltips(table) {
        			$('.navtable .ui-pg-button').tooltip({
        				container : 'body'
        			});
        			$(table).find('.ui-pg-div').tooltip({
        				container : 'body'
        			});
        		}


    			function formatOrderDetailValue(value){
    				var result = '';
    				if(value != undefined && value != null && value != 'null'){
        				result = value;
        			}
        			return result;
    			}
            	
        		// var selr = jQuery(grid_selector).jqGrid('getGridParam','selrow');

        		$(document).one('ajaxloadstart.page', function(e) {
       			$(grid_selector).jqGrid('GridUnload');
       			$('.ui-jqdialog').remove();
        		});
        		
        	});
        });
</script>
